function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function gameinput (sender,obj_id,attachedID)
    if sender == 100 then
  if flags.comx then
    speciale_action(2,12121,true);
    add_free_leaf("map12",11,101);
    set_satelite_leaf("kabinet");
    DoFile(11,101)
    flags.comx= false;
    flags.comx1= true;
  return;end;
  return;end;
  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end; 
  if sender==35 then
    if obj_id==631 then
      StartAnimation(631,0,3)
    return; end;
      if obj_id==270 then
    StartAnimation(270,0,3)
  return; end;
    if obj_id==201 then
      StartAnimation(201,0,3)
    return; end;
  return;end;
   if sender==15 then          
          if obj_id==1200 then
      StopEmiter("zvezd5");
      CreateWindow(150,250,"202",1,nil,250,30);
        --playeffect("01");  
          return;end;                    
     return;end;
  if sender==12 then
      if flags.phone then
        flags.levelcomplete=true;
        DarkScreen(true);
        ShowMenu(false)
      return; end;  
        if flags.minicomplete and flags.minicomplete1 and (not flags.minicomplete2) then      
         CreateWindow(150,250,"203",nil,nil,250,30);    
           --playeffect("01");  
      return;end;   
  return;end;
  
  if sender == 26 then
    if obj_id==1 then
      frame=0;
      add_free_leaf("comics",11,50);
      set_satelite_leaf("kabinet");
      DoFile(11,50)
      ShowMenu(false);
    return;end;  
    if obj_id==5 then
      flags.levelcomplete=true;
      DarkScreen(true);
      ShowMenu(false)
    return;end;
  return;end;
  if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось

      AddParticleToObject(1100,"gazeta",344,488);
      MoveEmiter("gazeta",344-78,488-26);
      if (not flags.gazeta5) then
        StartEmiter("gazeta");
      end;
    return;end;     
    if obj_id==503 then --название levовня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале levовня ----
      ShowMenu(true);
  savegame(SaveLevel());
      ------
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
      
      if obj_id==40 then
            if flags.gazeta5 and (not flags.minicomplete49) then  
           if attachedID == -1 then 
            StopEmiter("zvezd7");
            add_free_leaf("comics1",11,51);
            set_satelite_leaf("kabinet");
            DoFile(11,51)
            ShowMenu(false);
            flags.phone=true;
            StopEmiter("tel");            
           return; end;
           if (attachedID ~= 109) and  (attachedID > -1)  then
           RemoveFromMouse(attachedID);
            CreateWindow(150,250,"200",nil,nil,250,30);
              --playeffect("01");  
           return; end;             
      return; end;  
      return; end;  
  
    if attachedID==-1 then
    if obj_id==501 then
        if flags.levelcomplete then
        delete_tree_leaf("Root","kabinet");-- Добавляет лист в дерево 
        setnextlavel(12);
        loadlavel();  
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);
      return;end;
      if obj_id==1100 then --стол
        if (not flags.gazeta5) then
          playeffect("paper");  
          speciale_action(2,1200,true);
          StopEmiter("gazeta");
        return; end;
      return; end;
      if obj_id==1200 then --стол
        speciale_action(2,1200,true);
        playeffect("paper");
        flags.gazeta5= true;
      return; end;
      if obj_id > 0 and obj_id < 200 then --кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end
    return; end;  
  return; end;

  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;  

  -----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==4 then
  -- WriteToConsole("sender = 4, lev11.0".." "..sender.."\n")
  flags.all=true;      

  return; end;  
end
function SelectRandom()
  idObject=GetRandomObject();

    if (not flags.gazeta5) then
      selectrandomobject(1.5,1100);
    return; end;
    if (not flags.minicomplete49) then
      selectrandomobject(1.5,40);
    return; end;

  selectrandomobject(1.5,idObject);
end;
function SelectRandomRadar(idObject)
    if idObject==117 then
      selectrandomobject(1.5,8);
  return;end;
      if idObject==116 then
      selectrandomobject(1.5,36);
  return;end;
  selectrandomobject(1.5,idObject);
end;
